%define upstream_name    Devel-MAT-Dumper
%define upstream_version 0.50

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Give XS modules extensions for memory dumping
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl-devel
%description
This module provides the memory-dumping function that creates a heap dump
file which can later be read by the Devel::MAT::Dumpfile manpage. It
provides a single function which is not exported, which writes a file to
the given path.

The dump file will contain a representation of every SV in Perl's arena,
providing information about pointers between them, as well as other
information about the state of the process at the time it was created. It
contains a snapshot of the process at that moment in time, which can later
be loaded and analysed by various tools using 'Devel::MAT::Dumpfile'.

This module used to be part of the main the Devel::MAT manpage distribution
but is now in its own one so that it can be installed independently on
servers or other locations where perl processes need to inspected but
analysis tools can be run elsewhere.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

# Fix permissions
%_fixperms %{buildroot}%perl_vendorarch

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
%exclude %dir %perl_vendorarch/auto/

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.500.0-2.mga10
+ Revision: 2234689
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 0.500.0-1.mga10
+ Revision: 2141839
- update to 0.50

* Mon Jan 20 2025 wally <wally> 0.490.0-2.mga10
+ Revision: 2140083
- rebuild with perl-5.40.0-3.mga10
- fix .so module file permissions and debug info extraction

* Mon Sep 02 2024 tv <tv> 0.490.0-1.mga10
+ Revision: 2092699
- update to 0.49

* Fri Aug 23 2024 tv <tv> 0.480.0-2.mga10
+ Revision: 2089624
- Rebuild for perl-5.40

* Mon Mar 11 2024 tv <tv> 0.480.0-1.mga10
+ Revision: 2049141
- update to 0.48

* Fri Dec 01 2023 tv <tv> 0.470.0-2.mga10
+ Revision: 2012316
- Rebuild for perl-5.38

* Tue Aug 29 2023 tv <tv> 0.470.0-1.mga10
+ Revision: 1980952
- update to 0.47

* Wed Sep 14 2022 tv <tv> 0.460.0-1.mga9
+ Revision: 1888129
- update to 0.46

* Tue Aug 02 2022 tv <tv> 0.450.0-2.mga9
+ Revision: 1874708
- Rebuild b/c of "lib/Devel/MAT/Dumper.c: loadable library and perl binaries are mismatched (got first handshake key 0xeb00080, needed 0xeb80080)"

* Sun Apr 03 2022 guillomovitch <guillomovitch> 0.450.0-1.mga9
+ Revision: 1841988
- new version 0.45

* Fri Mar 18 2022 tv <tv> 0.440.0-1.mga9
+ Revision: 1798267
- update to 0.44

* Thu Mar 17 2022 umeabot <umeabot> 0.430.0-2.mga9
+ Revision: 1796925
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 guillomovitch <guillomovitch> 0.430.0-1.mga9
+ Revision: 1787625
- new version 0.43

* Wed Feb 16 2022 guillomovitch <guillomovitch> 0.420.0-1.mga9
+ Revision: 1777925
- imported package perl-Devel-MAT-Dumper


* Wed Feb 16 2022 cpan2dist 0.42-1mga
- initial mageia release, generated with cpan2dist
